<?php
/*
Plugin Name: Feedback Suite
Description: Would you like to know what your users want? With this powerful Feedback Suite, you get to know your visitors!
Version:     1.0.0
Author:      Georg Griesser
Author URI:  https://www.wpfeedbacksuite.com
License:     GPL3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

if (!defined('ABSPATH')) {
    exit;
}

// Create a helper function for easy SDK access.
function fs_fs() {
    global $fs_fs;

    if ( ! isset( $fs_fs ) ) {
        // Include Freemius SDK.
        require_once dirname(__FILE__) . '/freemius/start.php';

        $fs_fs = fs_dynamic_init( array(
            'id'                  => '1094',
            'slug'                => 'feedback-suite',
            'type'                => 'plugin',
            'public_key'          => 'pk_34a4046e5af84b6c8ff454cb9d277',
            'is_premium'          => false,
            'has_addons'          => false,
            'has_paid_plans'      => false,
            'menu'                => array(
                'slug'           => 'feedback-suite',
                'support'        => false,
            ),
        ) );
    }

    return $fs_fs;
}

// Init Freemius.
fs_fs();
// Signal that SDK was initiated.
do_action( 'fs_fs_loaded' );

require_once "autoloader.php";

$settings_page = new \GeorgGriesser\WordPress\Feedback_Suite\Pages\Settings_Page();
$settings_page->init();

\GeorgGriesser\WordPress\Feedback_Suite\Votes_Table::init();


add_action('rest_api_init', array('\GeorgGriesser\WordPress\Feedback_Suite\Api', 'add_routes'));


// Add Article Feedback Form to frontend
add_action('wp_enqueue_scripts', array('\GeorgGriesser\WordPress\Feedback_Suite\Forms\Article_Feedback_Form', 'add_stylesheet'), 10);
add_action('wp_enqueue_scripts', array('\GeorgGriesser\WordPress\Feedback_Suite\Forms\Article_Feedback_Form', 'add_script'), 10);
add_filter('the_content', array('\GeorgGriesser\WordPress\Feedback_Suite\Forms\Article_Feedback_Form', 'render'));

// Add Column to posts Table
add_filter('manage_posts_columns', array('\GeorgGriesser\WordPress\Feedback_Suite\Table_Injector', 'add_posts_table_head'));
add_action('manage_posts_custom_column', array('\GeorgGriesser\WordPress\Feedback_Suite\Table_Injector', 'add_posts_table_content'), 10, 2);

add_filter('manage_pages_columns', array('\GeorgGriesser\WordPress\Feedback_Suite\Table_Injector', 'add_posts_table_head'));
add_action('manage_pages_custom_column', array('\GeorgGriesser\WordPress\Feedback_Suite\Table_Injector', 'add_posts_table_content'), 10, 2);

add_action( 'admin_enqueue_scripts', array('\GeorgGriesser\WordPress\Feedback_Suite\Table_Injector', 'enqueue_admin_css'));

function get_feedback_suite_plugin_dir_url($path = '')
{
    return plugin_dir_url(__FILE__) . $path;
}