<?php

namespace GeorgGriesser\WordPress\Feedback_Suite\Http\Controllers\Article_Feedback;

use GeorgGriesser\WordPress\Feedback_Suite\Vote;

class Vote_Controller
{

    public static function index()
    {
        $votes = Vote::all();

        $votes_as_array =  array_map(function ($vote) {
            return $vote->as_array();
        }, $votes);

        $votes_with_post_title = array_map(function ($vote) {
            $vote['post_title'] = get_the_title($vote['post_id']);
            $vote['post_permalink'] = get_permalink($vote['post_id']);
            return $vote;
        }, $votes_as_array);

        return $votes_with_post_title;
    }


    /**
     * @param \WP_REST_Request $request
     * @return array
     */
    public static function get($request)
    {
        $vote = Vote::find(
            $request['post_id']
        );

        return $vote->as_array();
    }

    /**
     * @param \WP_REST_Request $request
     * @return array
     */
    public static function index_of_post($request)
    {
        $votes = Vote::where(array(
            'post_id' => $request['post_id']
        ));

        return array_map(function ($vote) {
            return $vote->as_array();
        }, $votes);
    }


    /**
     * @param \WP_REST_Request $request
     * @return array|string
     */
    public static function add($request)
    {
        $new_vote = Vote::create(
            $request['post_id'],
            $request->get_json_params()['value'],
            $request->get_json_params()['code']
        );

        $saved_vote = Vote::find(
            $new_vote->save()
        );

        return $saved_vote->as_array();
    }


    public static function delete($request)
    {
        // TODO
    }
}