<?php

namespace GeorgGriesser\WordPress\Feedback_Suite\Pages;

class Settings_Page
{

    public function init()
    {
        add_action('admin_menu', array($this, 'add_page'));
    }

    public function add_page()
    {
        $page_hook = add_menu_page('Feedback Suite', 'Feedback Suite', 'manage_options', 'feedback-suite', array($this, 'render'));

        add_action('load-' . $page_hook, array($this, 'add_remaining_callbacks'));
    }

    public function add_remaining_callbacks()
    {
        add_action('admin_enqueue_scripts', array($this, 'add_styles'));
        add_action('admin_enqueue_scripts', array($this, 'add_scripts'));
    }

    public function add_styles() {
        wp_enqueue_style('material-icons', 'https://fonts.googleapis.com/icon?family=Material+Icons');
        wp_enqueue_style('material-theme', get_feedback_suite_plugin_dir_url('/angular/backend/node_modules/@angular/material/prebuilt-themes/indigo-pink.css'));
    }


    public function add_scripts()
    {
        $angular_path = get_feedback_suite_plugin_dir_url('/angular/backend/dist/');


        $scripts = array(
            'inline.bundle.js',
            'polyfills.bundle.js',
            'styles.bundle.js',
            'vendor.bundle.js',
            'main.bundle.js',
        );

        foreach ($scripts as $script) {
            wp_enqueue_script($script, $angular_path . $script, array(), false, true);
        }
    }


    public function render()
    {
        printf('<app-root id="wp-feedback-suite-container" data-api-url="%1$s" data-api-nonce="%2$s">Loading...</app-root>',
            get_rest_url(),
            wp_create_nonce('wp_rest')
        );
    }
}