<?php

namespace GeorgGriesser\WordPress\Feedback_Suite;

class Votes_Table
{

    private static $table_name = 'feedback_suite_votes';

    public static function init()
    {
        add_action('init', array('GeorgGriesser\WordPress\Feedback_Suite\Votes_Table', 'create'));
    }

    public static function create()
    {
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

        global $wpdb;

        $sql_string_template = '
          CREATE TABLE %1$s (
            id bigint(20) unsigned NOT NULL AUTO_INCREMENT,
            post_id bigint(12) NOT NULL DEFAULT 0,
            value bigint(2) NOT NULL DEFAULT 0,
            code varchar(64) NOT NULL DEFAULT "",
            created_at timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
            PRIMARY KEY (id)
          ) CHARACTER SET utf8 COLLATE utf8_general_ci;
        ';

        dbDelta(sprintf($sql_string_template, Votes_Table::get_table_name()));
    }

    public static function get_table_name()
    {
        global $wpdb;

        return $wpdb->prefix . Votes_Table::$table_name;

    }
}